Description

Como MapSheets utiliza alguna herramienta de edicion para editar la cuadricula, no funciona con la nueva edicion.

Associated revisions

Revision 65 - 04/24/2015 01:13 PM - Francisco Diaz Carsi

refs #3370

- quitada la dependencia de expressionField respecto de la edicion antigua.

- eliminada la necesidad de que una tabla no tenga capa para habilitar el comienzo y finalizacién de la edicién de la tabla.
- arreglado el comportamiento de la nueva edicién vectorial cuando la capa se ha puesto en edicién por otros medios.

Revision 438 - 04/24/2015 01:13 PM - Francisco Diaz Carsi

refs #3370
- quitada la dependencia de expressionField respecto de la edicion antigua.
- eliminada la necesidad de que una tabla no tenga capa para habilitar el comienzo y finalizacién de la edicion de la tabla.

- arreglado el comportamiento de la nueva edicién vectorial cuando la capa se ha puesto en edicién por otros medios.
Revision 42146 - 04/24/2015 01:13 PM - Francisco Diaz Carsi

refs #3370

- quitada la dependencia de expressionField respecto de la edicion antigua.

- eliminada la necesidad de que una tabla no tenga capa para habilitar el comienzo y finalizacién de la edicién de la tabla.
- arreglado el comportamiento de la nueva edicién vectorial cuando la capa se ha puesto en edicién por otros medios.

History

#1 - 04/21/2015 12:39 PM - Miguel Company
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

#2 - 04/23/2015 11:16 AM - Joaquin del Cerro Murciano

- Severity changed from Minor to Major

- Assignee changed from Miguel Company to Francisco Diaz Carsi
#3 - 04/24/2015 01:40 PM - Francisco Diaz Carsi

Si que funciona la extension de Mapsheets con la nueva edicion vectorial.

Lo que ocurre es que si se elimina la edicion antigua y se intenta instalar mapsheets (ya que no viene por defecto), el instalador de complementos
comprueba las dependencias de todos los plugins que tiene instalados y como expressionfield depende de la edicién antigua, se pone a instalarla y
acaba diciendo que tiene conflictos con la nueva.

Esto al usuario le puede parecer que mapsheets depende de la edicién antigua.

Se ha quitado la dependencia de expressionField respecto de la edicion antigua.

Ademas se ha visto que las extensiones para comenzar y terminar la ediciéon de una tabla, necesitaban que dicha tabla no perteneciera a una capa
abierta en una vista para evitar conflictos con la edicion de dicha capa.

Se ha eliminado esa necesidad arreglando el comportamiento de la nueva edicién vectorial cuando la capa se ha puesto en edicién por otros medios.

#4 - 04/24/2015 01:49 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

#5 - 04/28/2015 02:57 PM - Alvaro Anguix

- Status changed from Fixed to Closed
